#pragma once
#include <boost/unordered_map.hpp>
#include <vector>
struct Fish_TherionRankingCFGData
{
	//ID
	int mID;
	//开始排名
	int mStartRank;
	//结束排名
	int mEndRank;
	//奖励道具列表，填写M_ItemCFG中的道具ID
	std::vector<int> mRewardList;
	//上榜限制
	int mLimit;
};

class Fish_TherionRankingCFG
{
public:
private:
	static std::auto_ptr<Fish_TherionRankingCFG> msSingleton;
public:
	int GetCount();
	const Fish_TherionRankingCFGData* GetData(int ID);
	boost::unordered_map<int, Fish_TherionRankingCFGData>& GetMapData();
	void Reload();
	void Load(const std::string& path);
	void Load();
	static Fish_TherionRankingCFG* GetSingleton();
private:
	boost::unordered_map<int, Fish_TherionRankingCFGData> mMapData;
};
